Skip to main content

UnfreezeBalance

POST

Unstake the TRX staked during Stake 1.0, release the obtained bandwidth or energy and TP. This operation will cause automatically cancel all votes.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)
resourcestringrequired
Type of resource. (Enum: "BANDWIDTH" or "ENERGY")
receiver_addressstring
Optional, in Base58 format or HEX format.
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)
resourcestring
Type of resource. (Enum: BANDWIDTH, ENERGY)
receiver_addressstring
Resource receiver address.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/unfreezebalance' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'